Application stopped working (CocoonJS)

Get help using Construct 2

Post » Tue Apr 07, 2015 10:25 pm

I made an .apk via CocoonJS, launched it on tablet and instantly got message saying that my app stopped working.
Then I made completely empty project with only 1 sprite in it and same thing happend!

I tested it in Intel XDK, it worked great, this means, that problem might be in:
- CocoonJS Cloud Compilator
- My tablet

Can you help me to solve this problems?

Try to launch this one (it's an empty project with 1 sprite compiled via CocoonJS) on your device and tell me what will happen.

I also attached source file of this project, so, if you dont mind, try to compile it by your own way, so I could test it on my tablet and see if something wrong with it.

.capx
B
39
S
16
G
6
Posts: 238
Reputation: 7,915

Post » Wed Apr 08, 2015 12:08 am

which method of exporting did you use and how was your setup on the site? that will should help us track the problem down
B
42
S
17
G
2
Posts: 850
Reputation: 6,209

Post » Wed Apr 08, 2015 6:56 am

volkiller730 wrote:which method of exporting did you use and how was your setup on the site? that will should help us track the problem down


I used CocoonJS Image and created new project on Ludei Cloud Compiling, I wasn't changing anything at all, except, maybe Scale Method:
Screenshot 1
Screenshot 2
Screenshot 3 (I have only WebGL selected)
Screenshot 4

So the point is that I created default project in C2, created default project in LCC and I got this message on my tablet.
Needs @ludei help!
B
39
S
16
G
6
Posts: 238
Reputation: 7,915

Post » Wed Apr 08, 2015 7:17 am

did you use the built in deprecated plugin or download the latest plugin from ludei's github (https://github.com/ludei/Construct-2-plugin)
B
42
S
17
G
2
Posts: 850
Reputation: 6,209

Post » Wed Apr 08, 2015 8:15 am

It is probably related to the gyroscope permission. We are currently fixing it.

Cheers.
B
9
S
4
G
4
Posts: 383
Reputation: 3,616

Post » Wed Apr 08, 2015 10:25 am

volkiller730 wrote:did you use the built in deprecated plugin or download the latest plugin from ludei's github (https://github.com/ludei/Construct-2-plugin)


Uh, haven't heard about this one, going to install it, thanks.

ludei wrote:It is probably related to the gyroscope permission. We are currently fixing it.

Cheers.


Thanks for your reply!
What should we do and how do we know about you finally fixed it?
B
39
S
16
G
6
Posts: 238
Reputation: 7,915

Post » Wed Apr 08, 2015 11:34 am

Waltan wrote:
volkiller730 wrote:did you use the built in deprecated plugin or download the latest plugin from ludei's github (https://github.com/ludei/Construct-2-plugin)


Uh, haven't heard about this one, going to install it, thanks.



Actually, it is the same but updated to use the 3.0.5 version of the plugins. Remember to update the prelude, it has changed completely.

Waltan wrote:What should we do and how do we know about you finally fixed it?


The fix is ready, we are trying to upload it to the cloud, but we are facing some technical problem. We hope to solve them soon.

Regards.
B
9
S
4
G
4
Posts: 383
Reputation: 3,616

Post » Wed Apr 08, 2015 2:11 pm

Hello,

The fix is already working. Your projects should work now.

Cheers :)
B
9
S
4
G
4
Posts: 383
Reputation: 3,616

Post » Wed Apr 08, 2015 2:26 pm

Sweet, thank you!
ImageImage
B
33
S
7
Posts: 310
Reputation: 2,601

Post » Wed Apr 08, 2015 6:50 pm

ludei wrote:Hello,

The fix is already working. Your projects should work now.

Cheers :)


Wow, thanks for your supporting!
Can I also ask you about getting premium in your service? What are benefits and how to get it?
B
39
S
16
G
6
Posts: 238
Reputation: 7,915

Next

Return to How do I....?

Who is online

Users browsing this forum: No registered users and 7 guests